Gestiono
Referencia de APIAccounting / Credit

Get Credit

GET /v1/credit • typed through route generics

← Back to full API reference
GET/v1/creditAuthentication required

Request details

Path params

No path parameters for this endpoint.

Query params

  • elementsPerPage (required)

    Inferred from req.query.elementsPerPage

  • page (required)

    Inferred from req.query.page

  • beneficiaryId (required)

    Inferred from req.query.beneficiaryId

  • isSell (required)

    Inferred from req.query.isSell

  • pendingRecordId (required)

    Inferred from req.query.pendingRecordId

Body fields

No body payload expected for GET endpoints.

Default payloads

Path params

json
{}

Query

json
{
  "elementsPerPage": "string",
  "page": "string",
  "beneficiaryId": "string",
  "isSell": "string",
  "pendingRecordId": "string"
}

Sample response

json
{
  "result": "<result>",
  "totalPages": "<ceil>",
  "currentPage": "<parseInt>",
  "total": "<count>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

GET/v1/creditAuthentication required

Group: Accounting / Credit

GET /v1/credit • typed through route generics

    Query params

    • elementsPerPagerequired
      Inferred from req.query.elementsPerPage
    • pagerequired
      Inferred from req.query.page
    • beneficiaryIdrequired
      Inferred from req.query.beneficiaryId
    • isSellrequired
      Inferred from req.query.isSell
    • pendingRecordIdrequired
      Inferred from req.query.pendingRecordId

    3. Prepare request payload

    4. Server response

    Run a request to inspect the real-time response for your environment.